package Mud;

import java.awt.*;
import java.awt.event.*;
import java.rmi.*;

/**
 * Titre :        Mud
 * Description :
 * Copyright :    Copyright (c) 2001
 * Socit :
 * @author J. Ferber
 * @version 1.0
 */

public class MudAppl extends JeuCases {


    public MudAppl(String server) {
		   super(server);
		   setTitle("Simple Mud");
           // Prcision du fichier politique de scurit
		   String userDir = System.getProperty("user.dir");
		   System.out.println("user dir: " + userDir);
            System.setProperty("java.security.policy","rmi.policy");
            if (System.getSecurityManager() == null) {
                System.setSecurityManager(new RMISecurityManager());
            }
            System.out.println(System.getProperty("java.rmi.server.codebase"));
            System.setProperty("java.rmi.server.codebase","file:///"+userDir+"/classes/");
    }


    public static void main(String[] args) {
    	String server = "localhost";
        if (args != null && args.length > 0)
            server = args[0];
        MudAppl jeu = new MudAppl(server);
        if (args != null && args.length > 0)
            jeu.setServeurName(args[0]);
    }



}